import { PolarLineSeriesBase } from "./PolarLineSeriesBase";
import { UnknownValuePlotting } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { Type, Point, IEnumerable$1 } from "igniteui-react-core";
import { PolarFrame } from "./PolarFrame";
import { PolarBaseView } from "./PolarBaseView";
import { Path } from "igniteui-react-core";
import { PolarLineSeriesBaseView } from "./PolarLineSeriesBaseView";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class PolarAreaSeries extends PolarLineSeriesBase {
    static $t: Type;
    protected get_d8(): boolean;
    protected cg(): SeriesView;
    protected wr(): boolean;
    o0(a: SeriesView): void;
    zm: PolarAreaSeriesView;
    constructor();
    protected zk(a: SeriesView): void;
    zl(a: PolarFrame, b: PolarBaseView): void;
    protected get_zh(): boolean;
    zn: UnknownValuePlotting;
    zc(): UnknownValuePlotting;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class PolarAreaSeriesView extends PolarLineSeriesBaseView {
    static $t: Type;
    protected c7: PolarAreaSeries;
    constructor(a: PolarAreaSeries);
    au(): void;
    private dd;
    private dc;
    private db;
    private da;
    get de(): Path;
    get df(): Path;
    c8(): void;
    c9(a: IEnumerable$1<Point>, b: number): void;
    protected bd(): void;
    protected be(): void;
    protected a8(a: RenderingContext, b: boolean): void;
    an(a: any): void;
    protected af(): void;
}
